Page MenuHomePhabricator

CX2: Infobox causes "automatic translation failed" when copying from source
Closed, ResolvedPublic

Description

When translating "Tribalistas (álbum de 2017)" from Portuguese to English, adding the infobox results in the "automatic translation failed" message shown. The default, copying the source content is used as an initial translation. So the error message is unexpected (not properly communicated as an adaptation issue, T192271) and misleading (no MT was used).

The template in the original article is Info/Album for which an equivalent Infobox Album exists in English.

Console shows the following error (which seems similar to T202714: CX2: Cannot read property 'shallowCloneFromRange' of null):

jQuery.Deferred exception: Cannot read property 'shallowCloneFromRange' of null TypeError: Cannot read property 'shallowCloneFromRange' of null
    at VeDmConverter.ve.dm.Converter.getDomFromNode (https://en.wikipedia.org/w/load.php?debug=false&lang=en&modules=ext.visualEditor.core%7Cjquery%2Coojs-ui-core%2Coojs-ui-widgets%7Cmw.config.values.wbSiteDetails%7Coojs-ui.styles.icons-editing-advanced&skin=vector&version=15o5s27:250:362)
    at VeInitMwCXTarget.ve.init.mw.CXTarget.changeContentSource (<anonymous>:353:784)
    at VeInitMwCXTarget.<anonymous> (<anonymous>:348:955)
    at mightThrow (https://en.wikipedia.org/w/load.php?debug=false&lang=en&modules=ext.visualEditor.core%7Cjquery%2Coojs-ui-core%2Coojs-ui-widgets%7Cmw.config.values.wbSiteDetails%7Coojs-ui.styles.icons-editing-advanced&skin=vector&version=15o5s27:851:856)
    at process (https://en.wikipedia.org/w/load.php?debug=false&lang=en&modules=ext.visualEditor.core%7Cjquery%2Coojs-ui-core%2Coojs-ui-widgets%7Cmw.config.values.wbSiteDetails%7Coojs-ui.styles.icons-editing-advanced&skin=vector&version=15o5s27:852:516)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2019, 11:32 AM
Pginer-WMF triaged this task as Normal priority.Jan 9 2019, 11:32 AM
Pginer-WMF moved this task from Needs Triage to CX2 on the ContentTranslation board.
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMar 29 2019, 11:43 PM
Pginer-WMF closed this task as Resolved.Jul 29 2019, 11:39 AM
Pginer-WMF claimed this task.

This issue seems no longer to happen. Seems to be solved by other changes such as T202714